﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.IO;
using System.Threading;
using System.Diagnostics;
using System.Windows.Media;

using Styx;
using Styx.Helpers;
using Styx.Plugins;
using Styx.Common;
using Styx.CommonBot;
using Styx.WoWInternals;
using Styx.WoWInternals.WoWObjects;

namespace Timestamp
{
    public class TimeStamp : HBPlugin
    {
        public override string Name { get { return "Timestamp"; } }
        public override string Author { get { return "Celisuis"; } }
        public override Version Version { get { return new Version(1, 0, 0); } }

        public static LocalPlayer Me = StyxWoW.Me;

        private static readonly Stopwatch timer = new Stopwatch();

        public DateTime start = DateTime.Now;

        
       
        public override void OnEnable()
        {
            base.OnEnable();
            BotEvents.OnBotStarted += OnBotStarted;
            BotEvents.OnBotStopped += OnBotStopped;
            Logging.Write("[Timestamp] Enabled");
        }

        public override void OnDisable()
        {
            Logging.Write("[Timestamp] Disabled");

            base.OnDisable();
        }

        public void OnBotStarted(EventArgs args)
        {

            Logging.Write("[TimeStamp] Start Time : " + start);
        }

        public void OnBotStopped(EventArgs args)
        {
            
            DateTime end = DateTime.Now;
            TimeSpan span = end.Subtract(start);
            Logging.Write("[TimeStamp] Ended Time : " + end);
            Logging.Write("[TimeStamp] Total Time : " + span.Hours + " hours and " + span.Minutes + "minutes.");
            
        }

        public override void Pulse()
        {

        }
       
    }
}